<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <title></title>
  <link rel="stylesheet" href="style.css">
  <style>
    .wrapper {
      display: flex;
      flex-flow: column nowrap;
    }

    .box {
      width: 100px;
      height: 100px;

      background-color: #ff690a;
    }
  </style>
</head>
<body>
  <div id="app" class="container">
    <section class="title">
      <h1>Fluxo</h1>
    </section>

    <section class="sample">
      <div class="wrapper">
        <button
           v-on:click="switchBox">
          click me
        </button>
        <div 
           class="box"
           v-if="displayBox">
        </div>
      </div>
    </section>

    <section class="sample-explain">
      <ul>
        <li>diretiva <code>v-if</code> condicionando exibição</li>
        <li>diretiva <code>v-on</code> semelhante a <code>onclick</code></li>
        <li>funções no script</li>
      </ul>
    </section>

    <section class="nav-btn left">
      <a href="render.html">< prev</a>
    </section>
    <section class="nav-btn right">
      <a href="flow2.html">next ></a>
    </section>
  </div>

  <script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>
  <script>
    const app = new Vue({
      el: '#app',
      data: {
        displayBox: false
      },
      methods: {
        switchBox: function() {
          this.displayBox = !this.displayBox;
        }
      }
    });
  </script>
</body>
</html>
